Subject: bug#32458: Acknowledgement (SDL SEGFAULTs on foreign distro)

From: Tim Gesthuizen <[email-masked]>
Date: Sun, 7 Oct 2018 18:22:18 +0200

Hi,
I tried to find some free time to investigate a little bit further in
what exactly triggers the crash to happen.
A few days ago I had the idea of getting a GL context through GLUT and
don't use SDL at all. So I quickly investigated whether this would also
crash.
So I fetched the cube example (cube.c) from the OpenGL example archive:

https://www.opengl.org/archives/resources/code/samples/glut_examples/examples/examples.html

and compiled it through guix. You can find the exact procedure by
inspecting the log attached. If I did not make an error this should
proof that the problem lies in OpenGL and not in SDL.

Tim.